import { requestClient } from '#/api/request';
// 查询流程列表
export function listProcess(query) {
  return requestClient.get('/process/list', { params: query });
}

// 查询流程列表
export function getProcessForm(query) {
  return requestClient.get('/process/getProcessForm', { params: query });
}
// 部署流程实例
export function startProcess(processDefId,data) {
  return requestClient.post(`/process/start/${processDefId}`, { data });
}
// 删除流程实例
export function delProcess(ids) {
  return requestClient.delete(`/process/instance/${ids}`);
}

// 获取流程图
export function getBpmnXml(processDefId) {
  return requestClient.get(`/process/bpmnXml/${processDefId}`);
}

export function detailProcess(query) {
  return requestClient.get('/process/detail', { params: query });
}

// 我的发起的流程
export function listOwnProcess(query) {
  return requestClient.get('/process/ownList', { params: query });
}
// 我待办的流程
export function listTodoProcess(query) {
  return requestClient.get('/process/todoList', { params: query });
}
// 我待签的流程
export function listClaimProcess(query) {
  return requestClient.get('/process/claimList', { params: query });
}
// 我已办的流程
export function listFinishedProcess(query) {
  return requestClient({
    url: '/process/finishedList',
    method: 'get',
    params: query
  });
}
export function listFinishedProcess(query) {
  return requestClient.get('/process/finishedList', { params: query });
}

// 查询流程抄送列表
export function listCopyProcess(query) {
  return requestClient.get('/process/copyList', { params: query });
}

// 取消申请
export function stopProcess(data) {
  return requestClient.post('/task/stopProcess', { data });
}
